<?xml version="1.0" encoding="UTF-8"?>
<!--
 * ** header v3.0
 * This file is a part of the CaosDB Project.
 *
 * Copyright (C) 2019 IndiScale GmbH
 * Copyright (C) 2019 Daniel Hornung (d.hornung@indiscale.com)
 * Copyright (C) 2019 Timm Fitschen (t.fitschen@indiscale.com)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 *
 * ** end header
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html"/>

  <xsl:template name="caosdb-footer">
    <div class="caosdb-footer-element" id="caosdb-footer-element-custom-1">
      ${BUILD_FOOTER_CUSTOM_ELEMENT_ONE}
    </div>
    <div class="caosdb-footer-element" id="AGPL-notice">
      This server runs free software licensed under the <a
      href="https://www.gnu.org/licenses/agpl-3.0.en.html"
      target="_blank">AGPL-v3</a>, you can obtain the sources <a
      href="https://gitlab.com/caosdb" target="_blank">here</a>.
    </div>
    <div class="caosdb-footer-element" id="caosdb-footer-element-custom-2">
      ${BUILD_FOOTER_CUSTOM_ELEMENT_TWO}
    </div>
    <div class="caosdb-footer-element">
      <a href="${BUILD_FOOTER_DATA_POLICY_HREF}">Data Policy</a><span class="caosdb-bulletsep">•</span><a href="/webinterface/${BUILD_NUMBER}/html/imprint.html">Imprint/Impressum</a>
    </div>
  </xsl:template>
</xsl:stylesheet>
